<?php
require_once 'vendor/autoload.php';
require_once 'config.php';

use Guzzle\Http\Client as GuzzleClient;
use Guzzle\Plugin\Cookie\Cookie;
use Guzzle\Plugin\Cookie\CookiePlugin;
use Guzzle\Plugin\Cookie\CookieJar\ArrayCookieJar;

$httpClient = new GuzzleClient('https://parse.com/');
$httpClient->setSslVerification(FALSE);

$cookieJar = new ArrayCookieJar();
// Create a new cookie plugin
$cookiePlugin = new CookiePlugin($cookieJar);
// Add the cookie plugin to the client
$httpClient->addSubscriber($cookiePlugin);


$login = $httpClient->get('/apps/'.$params['app'].'/edit#export')->send();
$content =  $login->getBody(true);

$token = explode('<input name="authenticity_token" type="hidden" value="', $content);
$token = explode('" />', $token[1]);
$tk = $token[0];

$post_data = [
  'user_session[email]' => $params['email'],
  'user_session[password]' => $params['password'],
  'utf8' => '✓',
  'authenticity_token' => $tk
];

// Send a post to the base url
$response = $httpClient->post('/user_session', [], $post_data)->send();

//export
$export = $httpClient->get('/apps/'.$params['app'].'/edit#export')->send();

$content = $export->getBody(true);

$token = explode('<input name="authenticity_token" type="hidden" value="', $content);
$token = explode('" />', $token[1]);
$tk = $token[0];

$export_data = [
    'utf8' => '✓',
    '_method' => 'put',
    'authenticity_token' => $tk,
    'export' => 'true'
];

$response = $httpClient->post('/apps/'.$params['app'].'/export_data', [], $export_data)->send();

echo '<h1>'.$response->getStatusCode().'</h1><h3>'.$response->getReasonPhrase().'</h3>';
